Subject: Re: [PATCH 02/10] gitweb: Mark boundary commits in 'blame' view

From: Jakub Narebski <[email-masked]>
Date: Sat, 25 Jul 2009 02:32:27 +0200

On Sat, 25 July 2009, Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> > Use "boundary" class to mark boundary commits, which currently results
> > in using bold weight font for SHA-1 of a commit (to be more exact for
> > all text in the first cell in row, that contains SHA-1 of a commit).
> > ...
> > diff --git a/gitweb/gitweb.css b/gitweb/gitweb.css
> > index 70b7c2f..f47709b 100644
> > --- a/gitweb/gitweb.css
> > +++ b/gitweb/gitweb.css
> > @@ -242,6 +242,10 @@ tr.dark:hover {
> >  	background-color: #edece6;
> >  }
> >  
> > +tr.boundary td.sha1 {
> > +	font-weight: bold;
> > +}
> > +
> 
> "boundary" means that "blame low..hight file" attributed the line to the
> "low" commit, not because the commit introduced the line, but because the
> user said not to bother digging further.

Well, currently 'blame' view in gitweb doesn't allow to limit revision
range from below, i.e. to state "low" commit; it doesn't use 'hpb' 
(hash_parent_base) parameter.  So boundary commit means root commit.

> 
> I had an assumption that in such a bounded blame, lines attributed to the
> boundary commit are not very interesting (they belong to a distant stable
> past that the user does not care much about, as opposed to more recent
> breakages), and that is exactly the same reasoning behind the -b option of
> "git blame" command.
> 
> I would have expected the boundary to be shown in weaker decoration
> (e.g. gray letters as opposed to black), not in stronger annotation.

Well, weaker decoration is, I think, actually harder to do in CSS...

> Perhaps you are talking about something different?  I am a bit puzzled.

Well, I have thought that only boundary commits can be without previous
[blame] commit, but I noticed that it is not the case: see 04/10.  But
some of that remains of my mistaken belief can resonate in commit 
message... ;-)

-- 
Jakub Narebski
Poland